aboutsummaryrefslogtreecommitdiff
path: root/modules/.direnv
diff options
context:
space:
mode:
Diffstat (limited to 'modules/.direnv')
-rwxr-xr-xmodules/.direnv/bin/nix-direnv-reload19
1 files changed, 19 insertions, 0 deletions
diff --git a/modules/.direnv/bin/nix-direnv-reload b/modules/.direnv/bin/nix-direnv-reload
new file mode 100755
index 0000000..a5a6d73
--- /dev/null
+++ b/modules/.direnv/bin/nix-direnv-reload
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+set -e
+if [[ ! -d "/home/jerpo/nixfiles-v2/modules" ]]; then
+ echo "Cannot find source directory; Did you move it?"
+ echo "(Looking for "/home/jerpo/nixfiles-v2/modules")"
+ echo 'Cannot force reload with this script - use "direnv reload" manually and then try again'
+ exit 1
+fi
+
+# rebuild the cache forcefully
+_nix_direnv_force_reload=1 direnv exec "/home/jerpo/nixfiles-v2/modules" true
+
+# Update the mtime for .envrc.
+# This will cause direnv to reload again - but without re-building.
+touch "/home/jerpo/nixfiles-v2/modules/.envrc"
+
+# Also update the timestamp of whatever profile_rc we have.
+# This makes sure that we know we are up to date.
+touch -r "/home/jerpo/nixfiles-v2/modules/.envrc" "/home/jerpo/nixfiles-v2/modules/.direnv"/*.rc